# PhasicFlow: pFlow::triSurfaceKernels Namespace Reference

pFlow::triSurfaceKernels Namespace Reference

## Functions

INLINE_FUNCTION_H bool | calculateArea (const realx3Field_D &points, const int32x3Field_D &vertices, realField_D &area)

## Function Documentation

## calculateArea()

INLINE_FUNCTION_H bool pFlow::triSurfaceKernels::calculateArea | ( | const realx3Field_D & | points,
|  | const int32x3Field_D & | vertices,
|  | realField_D & | area
| ) |  |

Definition at line 32 of file triSurfaceKernels.hpp.

References VectorSingle< T, MemorySpace >::deviceVectorAll(), LAMBDA_HD, VectorSingle< T, MemorySpace >::size(), and pFlow::triangleFunctions::triangleSurface().

Referenced by triSurface::readTriSurface(), and triSurface::triSurface().

Here is the call graph for this function:
Here is the caller graph for this function: